NANO(1)

NOME
nano - Nano's ANOther, editor de texto inspirado no Pico

SINOPSE
nano [opções] [[+linha[,coluna]] arquivo]...

nano [opções] [[+[crCR]{/|?}string] arquivo]...

NOTICES
Since version 9.0, all lines are scrolled horizontally together (when the cursor approaches the edge), by just the amount needed, instead of scrolling only the current line by a large step. If you prefer the old behavior, you can use --solo on the command line or set solosidescroll in your nanorc.

Also since version 9.0, keystrokes M-< and M-> have been reassigned to the `scrollleft` and `scrollright` functions. If you want those keystrokes to do what they did before version 9.0, add these two lines at the end of your nanorc file:

    bind M-< prevbuf main
    bind M-> nextbuf main

Since version 8.0, to be newcomer friendly, ^F starts a forward search, ^B starts a backward search, M-F searches the next occurrence forward, and M-B searches the next occurrence backward. If you want those keystrokes to do what they did before version 8.0, add the following four lines at the end of your nanorc file:

    bind ^F forward main
    bind ^B back main
    bind M-F formatter main
    bind M-B linter main

DESCRIÇÃO
nano é um editor de texto pequeno e amigável. Ele copia a aparência do Pico, mas é um software livre e implementa vários recursos que faltam no Pico, tais como: abrir vários arquivos, rolagem por linha, desfazer/refazer, coloração de sintaxe, numeração de linha e quebra automática de linhas longas.

Ao fornecer um nome de arquivo na linha de comando, o cursor pode ser colocado em uma linha específica adicionando o número da linha com um sinal de mais (+) antes do nome do arquivo, e até mesmo em uma coluna específica adicionando-o com uma vírgula. Os números negativos contam a partir do final do arquivo ou linha.

O cursor pode ser colocado na primeira ou na última ocorrência de uma string específica, especificando essa string após +/ ou +? antes do nome do arquivo. A string pode ser diferenciada entre maiúsculas e minúsculas e/ou interpretada como uma expressão regular inserindo c e/ou r após o sinal +. Esses modos de pesquisa podem ser desabilitados explicitamente usando a variante em maiúsculas dessas letras: C e/ou R. Quando a string contém espaços, ela precisa ser colocada entre aspas. Para dar um exemplo: para abrir um arquivo na primeira ocorrência da palavra "Foo", faria-se:

    nano +c/Foo arquivo

Como um caso especial: se em vez de um nome de arquivo um travessão (-) for fornecido, nano lerá os dados da entrada padrão.

EDIÇÃO
Inserir texto e mover-se em um arquivo é simples: digitar as letras e usar as teclas normais de movimento do cursor. Os comandos são inseridos usando as teclas Control (^) e Alt ou Meta (M-). Digitar ^K exclui a linha atual e a coloca no buffer-de-transferência. ^Ks consecutivos colocam todas as linhas excluídas juntas no buffer-de-transferência. Qualquer movimento do cursor ou execução de qualquer outro comando fará com que o próximo ^K sobrescreva o buffer-de-transferência. A ^U cola o conteúdo atual do buffer-de-transferência na posição atual do cursor.

Quando um trecho de texto mais preciso precisa ser recortado ou copiado, pode-se marcar seu início com ^6, mover o cursor até o final (o texto marcado é destacado) e, em seguida, usar ^K para cortá-lo ou M-6 para copiá-lo para o buffer-de-transferência. Também é possível salvar o texto marcado em um arquivo com ^O, ou verificar a ortografia com ^T^T.

Em alguns terminais, o texto também pode ser selecionado mantendo pressionada a tecla Shift enquanto usa as teclas de seta. Manter a tecla Ctrl ou Alt pressionada também aumenta o passo. Qualquer movimento do cursor sem a tecla Shift pressionada cancela essa seleção.

Qualquer ponto de código Unicode válido pode ser inserido no buffer digitando M-V seguido pelos dígitos hexadecimais do ponto de código (concluído com <Espaçoe> ou <Enter> quando tiver menos de seis dígitos). Um código de controle literal (exceto ^J) pode ser inserido digitando M-V seguido pelo pressionamento de tecla pertinente.

As duas linhas na parte inferior da tela mostram alguns comandos importantes; a ajuda embutida (^G) lista todos os disponíveis. As combinações de teclas padrão podem ser alteradas por meio de um arquivo nanorc — veja nanorc(5).

OPÇÕES

-A, --smarthome
    Torna a tecla Home mais inteligente. Quando Home é pressionada em qualquer lugar, exceto no início de caracteres que não sejam de espaço em branco em uma linha, o cursor pula para aquele início (para frente ou para trás). Se o cursor já estiver nessa posição, ele salta para o verdadeiro início da linha.

-B, --backup
    Ao salvar um arquivo, faz uma cópia reserva da versão anterior dele, usando o nome do arquivo atual com o sufixo um til (~).

-C diretório, --backupdir=diretório
    Faz e mantém não apenas um arquivo reserva, mas faz e mantém um com numeração única sempre que um arquivo é salvo — quando os backups estiverem habilitados (-B). Os arquivos numerados exclusivamente são armazenados no diretório especificado.

-D, --boldtext
    Para a interface, usa negrito em vez de vídeo reverso. Isso pode ser sobrescrito ao definir as opções titlecolor, statuscolor, promptcolor, minicolor, keycolor, numbercolor e/ou selectedcolor em seu arquivo nanorc. Veja nanorc(5).

-E, --tabstospaces
    Converte cada tabulação digitada para espaços — para o número de espaços que uma tabulação naquela posição ocuparia. (Observação: tabulações coladas não são convertidas.)

-F, --multibuffer
    Lê um arquivo em um novo buffer por padrão.

-G, --locking
    Usa trava de arquivos no estilo vim ao editar arquivos.

-H, --historylog
    Salva as últimas cem strings de pesquisa e strings de substituição e comandos executados, para que possam ser facilmente reutilizados em sessões posteriores.

-I, --ignorercfiles
    Não procura no nanorc do sistema nem no nanorc do usuário.

-J número, --guidestripe=número
    Desenha uma faixa vertical na coluna fornecida para ajudar a avaliar a largura do texto. (A cor da faixa pode ser alterada com set stripecolor em seu arquivo nanorc.)

-K, --rawsequences
    Interpreta sequências de escape diretamente, em vez de pedir a ncurses para traduzi-las. (Se você precisa dessa opção para fazer algumas teclas funcionarem corretamente, isso significa que a descrição do terminal terminfo que é usada não corresponde totalmente ao comportamento real do seu terminal. Isso pode acontecer quando você faz ssh em uma máquina BSD, por exemplo.) Usar essa opção desabilita o suporte a mouse do nano.

-L, --nonewlines
    Não adiciona automaticamente uma nova linha quando o texto não terminar com uma. (Isso pode fazer com que você salve arquivos de texto não POSIX.)

-M, --trimblanks
    Recorta o espaço em branco à direita da linha quebrada quando ocorrer a quebra automática ou quando o texto for justificado.

-N, --noconvert
    Desabilita a conversão automática de arquivos do formato DOS/Mac.

-O, --bookstyle
    Ao justificar, trata qualquer linha que comece com um espaço em branco como o início de um parágrafo (a menos que o recuo automático esteja ativado).

-P, --positionlog
    Para os 200 arquivos mais recentes, registra a última posição do cursor e coloque-o nessa posição novamente ao reabrir o arquivo. Também salva e restaura as posições de quaisquer âncoras.

-Q "regex", --quotestr="regex"
    Define a expressão regular para corresponder à parte de citação de uma linha. O valor padrão é "^([ \t]*([!#%:;>|}]|//))+". (Observa que \t representa uma tabulação real.) Isso torna possível reajustar blocos de texto citado ao redigir e-mail e embrulhar blocos de comentários de linha ao escrever o código-fonte.

-R, --restricted
    Modo restrito: não lê ou escreve em nenhum arquivo não especificado na linha de comando. Isso significa: não lê ou escreve arquivos de histórico; não permite suspensão; não permite verificação ortográfica; não permite que um arquivo seja anexado ao final, anexado no início ou salvo com um nome diferente se já houver um; e não faz uma cópia de arquivos. O modo restrito também pode ser ativado invocando nano com qualquer nome começando com "r" (por exemplo, "rnano").

-S, --softwrap
    Exibe em várias linhas de tela, linhas que excedem a largura da tela. (Você pode fazer com que essa quebra automática ocorra em espaços em branco em vez de rudemente na borda da tela, usando também --atblanks.)

-T número, --tabsize=número
    Define o tamanho (largura) de um tab para número colunas. O valor de número deve ser maior que 0. O valor padrão é 8.

-U, --quickblank
    Faz com que as mensagens da barra de status desapareçam após 1 pressionamento de tecla em vez de após 20. Observe que as opções -c (--constantshow) substituem isso. Quando a opção --minibar ou --zero está em vigor, --quickblank faz uma mensagem desaparecer após 0,8 segundos em vez do padrão de 1,5 segundos.

-V, --version
    Mostra o número da versão atual e sai.

-W, --wordbounds
    Detecta os limites das palavras de maneira diferente, tratando os caracteres de pontuação como parte de uma palavra.

-X "caracteres", --wordchars="caracteres"
    Especifica quais outros caracteres (além dos alfanuméricos normais) devem ser considerados como parte de uma palavra. Ao usar esta opção, você provavelmente deseja omitir -W (--wordbounds).

-Y nome, --syntax=nome
    Especifica o nome do realce de sintaxe a usar entre os definidos nos arquivos nanorc.

-Z, --zap
    Deixa um Backspace ou Delete não modificado apagar a região marcada (ao invés de um único caractere, e sem afetar o buffer-de-transferência).

-a, --atblanks
    Ao fazer quebra de linha suave, quebra as linhas nos espaços em branco em vez de sempre na borda da tela.

-b, --breaklonglines
    Não aplica automaticamente a quebra rígida na linha atual quando ela se tornar muito longa, ou seja: quando ela se tornar mais longa que o valor fornecido com -r (--fill). O padrão para -r é a largura do terminal menos oito. (Esta opção é o oposto de -w (--nowrap) — o último dado entra em vigor.)

-c, --constantshow
    Mostra constantemente a posição do cursor na barra de status. Observe que esta opção substitui -U (--quickblank).

-d, --rebinddelete
    Interpreta as teclas Delete e Backspace de maneira diferente para que Backspace e Delete funcionem corretamente. Você só deve usar esta opção quando em seu sistema o Backspace atua como Delete ou Delete atua como Backspace.

-e, --emptyline
    Não usa a linha abaixo da barra de título, deixando-a totalmente em branco.

-f arquivo, --rcfile=arquivo
    Lê apenas este arquivo para definir as opções do nano, em vez de ler os arquivos do nanorc do sistema e do usuário.

-g, --showcursor
    Torna o cursor visível no navegador de arquivos (colocando-o no item destacado) e no visualizador de ajuda. Útil para usuários de braille e pessoas com visão deficiente.

-h, --help
    Mostra um resumo das opções de linha de comando disponíveis e sai.

-i, --autoindent
    Recua automaticamente uma linha recém-criada com o mesmo número de tabulações e/ou espaços que a linha anterior (ou como a próxima linha se a linha anterior for o início de um parágrafo).

-j, --jumpyscrolling
    Rola o conteúdo do buffer por meia tela em vez de por linha.

-k, --cutfromcursor
    Faz o comando "Recort txt" (normalmente ^K) cortar da posição atual do cursor até o final da linha, em vez de cortar a linha inteira.

-l, --linenumbers
    Exibe os números das linhas à esquerda da área de texto. (Qualquer linha com uma âncora também recebe uma marca na margem.)

-m, --mouse
    Habilita o suporte ao mouse, se disponível para o seu sistema. Quando habilitado, os cliques do mouse podem ser usados para posicionar o cursor, definir a marca (com um clique duplo) e executar atalhos. O mouse funciona no X Window System e no console quando o gpm estiver em execução. O texto ainda pode ser selecionado arrastando, mantendo pressionada a tecla Shift.

-n, --noread
    Trata qualquer nome fornecido na linha de comando como um novo arquivo. Isso permite que nano grave em encadeamentos nomeados: ele começa com um buffer em branco e grava no pipe quando o usuário salvar o "arquivo". Desta forma, nano pode ser usado como um editor em combinação com, por exemplo, gpg sem ter que gravar dados confidenciais no disco primeiro.

-o diretório, --operatingdir=diretório
    Altera o diretório fornecido, e permite ler e escrever arquivos soemnte neste diretório e em seus subdiretórios.

-p, --preserve
    Preserva as sequências XOFF e XON (^S e ^Q) para que sejam capturadas pelo terminal. (parando e retomando a saída). Note que a opção -/ (--modernbindings) substitui isso.

-q, --indicator
    Exibe uma "barra de rolagem" no lado direito da janela de edição. Mostra a posição da janela de visualização no buffer e quanto do buffer é coberto pela janela de visualização.

-r número, --fill=número
    Define a largura alvo para justificar e empacotamento automático neste número de colunas. Se o valor for 0 ou menos, a quebra ocorre na largura da tela menos número colunas, permitindo que o ponto de quebra varie junto com a largura da tela se a tela for redimensionada. O valor padrão é -8.

-s "programa [argumento ...]", --speller="programa [argumento ...]"
    Usa este comando para realizar a verificação ortográfica e correção, em vez de usar o corretor integrado que chama hunspell(1) ou spell(1).

-t, --saveonexit
    Salva um buffer alterado sem perguntar (ao sair com ^X).

-u, --unix
    Salva um arquivo por padrão no formato Unix. Isso substitui o comportamento padrão do nano de salvar um arquivo no formato que ele tinha. (Esta opção não tem efeito quando você também usa --noconvert.)

-v, --view
    Basta visualizar o arquivo e proibir a edição: modo somente leitura. Este modo permite ao usuário abrir também outros arquivos para visualização, a menos que --restricted também seja fornecido.

-w, --nowrap
    Não aplica automaticamente a quebra rígida na linha atual quando ela se tornar muito longa. Este é o padrão. (Esta opção é o oposto de -b (--breaklonglines) — o último dado entra em vigor.)

-x, --nohelp
    Não mostra as duas linhas de ajuda na parte inferior da tela.

-y, --afterends
    Faz com que Ctrl+Right e Ctrl+Delete parem no final das palavras em vez de no início.

-z, --listsyntaxes
    Lista os nomes das sintaxes disponível e sai.

-!, --magic
    Quando nem o nome do arquivo nem sua primeira linha fornecem uma pista, tente usar libmagic para determinar a sintaxe aplicável.

-@, --colonparsing
    Quando um nome de arquivo fornecido na linha de comando termina em dois pontos mais dígitos e esse nome de arquivo não existe, então corta os dois pontos mais dígitos e entende os dígitos como um número de linha. Se o nome de arquivo aparado também não existir, então repite o processo e entenda os dois números obtidos como número de linha e coluna. Mas se o nome de arquivo duplamente aparado também não existir, então esquece o corte e aceita o nome de arquivo original como está. Para desabilitar essa análise de dois pontos para algum arquivo, use +1 ou similar antes do nome de arquivo relevante.

-%, --stateflags
    Usa o canto superior direito da tela para mostrar alguns sinalizadores de estado: I ao recuar automaticamente, M quando a marca está ativada, L ao aplica quebra rígida (quebrando linhas longas), R ao gravar uma macro e S ao aplicar quebra suave. Quando o buffer é modificado, um asterisco (*) é mostrado após o nome do arquivo no centro da barra de título.

-_, --minibar
    Suprime a barra de título e, em vez disso, mostre informações sobre o buffer atual na parte inferior da tela, no espaço da barra de status. Nesta "mini barra", o nome do arquivo é mostrado à esquerda, seguido por um asterisco se o buffer foi modificado. À direita são exibidos a linha atual e o número da coluna, o código do caractere sob o cursor (no formato Unicode: U+xxxx), os mesmos sinalizadores mostrados por --stateflags e uma porcentagem que expressa como até onde o cursor está dentro do arquivo (linha a linha). Quando um arquivo é carregado ou salvo, e também ao alternar entre buffers, o número de linhas no buffer é exibido após o nome do arquivo. Esse número é apagado na próxima tecla ou substituído por um contador [i/n] quando vários buffers estão abertos. A linha mais os números das colunas e o código do caractere são exibidos apenas quando --constantshow é usado e podem ser ativados e desativados com M-C. Os sinalizadores de estado são exibidos apenas quando --stateflags é usado.

-0, --zero
    Oculta todos os elementos da interface (barra de título, barra de status e linhas de ajuda) e usa todas as linhas do terminal para mostrar o conteúdo do buffer. A barra de status aparece somente quando há uma mensagem significativa e desaparece após 1,5 segundos ou na próxima tecla pressionada. Com M-Z a barra de título mais a barra de status podem ser alternadas. Com M-X as linhas de ajuda.

-1, --solosidescroll
    When the cursor approaches the right edge of the edit window, scroll only the current line sideways by a large amount, instead of scrolling all visible lines sideways by just the amount needed to keep the cursor in view. This latter whole-window smooth sideways scrolling is the new default behavior. The single-line jerky sideways scrolling enabled by this option was the old behavior — the only behavior that nano knew.

-/, --modernbindings
    Use key bindings similar to the ones that most modern programs use: ^X cuts, ^C copies, ^V pastes, ^Z undoes, ^Y redoes, ^F searches forward, ^G searches next, ^S saves, ^O opens a file, ^Q quits, and (when the terminal permits) ^H shows help. Furthermore, ^A sets the mark, ^B searches backward, ^D searches previous, ^R makes replacements, ^P shows the position, ^T goes to a line, ^W writes out a file, and ^E executes a command. Note that this option overrides option -p (--preserve).

ALTERNADORES
Várias das opções acima também podem ser ativadas e desativadas enquanto o nano está em execução. Por exemplo, M-L alterna a quebra rígida de linhas longas, M-S alterna a quebra suave, M-N alterna os números das linhas, M-M alterna o mouse, M-I recuo automático e M-X as linhas de ajuda. Veja no final do texto de ajuda ^G uma lista completa.

O botão de alternância M-X é especial: ele funciona em todos os menus, exceto no visualizador de ajuda e no linter. Todos os outros botões de alternância funcionam apenas no menu principal.

ARQUIVOS
Quando --rcfile é fornecido, nano lê apenas o arquivo especificado para definir suas opções, sintaxes e associações de teclas. Sem essa opção, nano lê dois arquivos de configuração: primeiro o nanorc do sistema (se existir) e, em seguida, o nanorc do usuário (se existir), ~/.nanorc ou $XDG_CONFIG_HOME/nano/nanorc ou ~/.config/nano/nanorc, o que for encontrado primeiro. Veja nanorc(5) para obter mais informações sobre os possíveis conteúdos desses arquivos.

Veja /usr/share/nano/ e /usr/share/nano/extra/ para obter as definições de cores de sintaxe disponíveis.

STATUS DE SAÍDA

0   O editor foi finalizado normalmente.

1   Uma opção inválida ou argumento inválido foi fornecido.

2   O último buffer aberto foi descartado (com ^O^Q ou ^X^Q).

NOTAS
A suspensão é habilitada por padrão, acessível via ^T^Z. (Se você quiser um ^Z simples para suspender o nano, adicione bind ^Z suspend main ao seu nanorc.)

Em um prompt Sim-Não, ^Y pode ser usado para "Yes" (Sim), ^N para "No" (Não) e ^A para "All" (Todos). (e ao sair, ^Q podem ser usados para "Sair com erro".) Essas ligações não listadas funcionam em qualquer localidade.

Quando você quiser copiar o texto marcado de nano para a área de transferência do sistema, veja um dos exemplos na página do manual nanorc(5).

Se nenhum comando de verificação ortográfica alternativo for especificado na linha de comando nem em um dos arquivos nanorc, nano verifica a variável de ambiente SPELL para encontrar um.

Em alguns casos, o nano tenta despejar o buffer em um arquivo de emergência. Isso vai acontecer principalmente se nano receber um SIGHUP ou SIGTERM ou ficar sem memória. Ele escreve o buffer em um arquivo chamado nano.save se o buffer ainda não tiver um nome, ou adiciona um sufixo ".save" ao nome do arquivo atual. Se um arquivo de emergência com esse nome já existir no diretório atual, ele adiciona ".save" mais um número (por exemplo, ".save.1") ao nome do arquivo atual para torná-lo único. No modo multibuffer, nano escreve todos os buffers abertos em seus respectivos arquivos de emergência.

Se você tiver alguma dúvida sobre como usar nano em alguma situação específica, você pode perguntar em help-nano@gnu.org.

BUGS
A escrita e reprodução de macros de teclado funcionam corretamente apenas em um emulador de terminal, não em um console Linux (VT), porque o último não distingue por padrão as teclas de seta modificadas das não modificadas.

Relate quaisquer outros bugs que você venha a encontrar via:
https://savannah.gnu.org/bugs/?group=nano.

Quando o nano trava, ele salva todos os buffers modificados em arquivos .save de emergência. Se você consegue reproduzir a falha e deseja obter um backtrace, defina a variável de ambiente NANO_NOCATCH.

SITE
https://nano-editor.org/

VEJA TAMBÉM
nanorc(5)

/usr/share/doc/nano/ (ou equivalente em seu sistema)

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).